Subject: Re: bug#73207: 31.0.50; On PGTK frame outer-position and frame-monitor-workarea wrong.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Sep 2024 14:05:18 +0300

> From: David Koppelman <[email-masked]>
> Date: Thu, 12 Sep 2024 13:24:04 -0500
> 
> In a PGTK build of Emacs running on KDE Wayland (versions are below) the
> position of a frame and the size of the workarea are wrong. These work
> correctly in non-PGTK builds. For example, (frame-edges nil
> 'outer-edges) returns (0 0 752 840), even though the top-left of the
> frame is not over pixel 0,0. In a call to (frame-monitor-attributes) the
> geometry and workarea dimensions are the same. The workarea is correctly
> reported as smaller in non-PGTK builds.
> 
> I'd prefer that these be fixed, but if not they ought to be documented
> in etc/PROBLEMS.

Po Lu, any comments?

ISTR that we already know about this issue, but for some reason I
cannot find it in PROBLEMS or anywhere else.  What did I miss?